﻿using AspNetSample.Models;
using DataAccess;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using System.Diagnostics;

namespace AspNetSample.Controllers
{
	public class HomeController : Controller
	{
		private readonly ILogger<HomeController> _logger;
		private readonly IDataLayer _dataLayer;

		public HomeController(IDataLayer dataLayer, ILogger<HomeController> logger)
		{
			this._dataLayer = dataLayer;
			this._logger = logger;
		}

		public IActionResult Index()
		{
			var data = this._dataLayer.GetAllCustomers();

			return this.View(data);
		}

		public IActionResult Privacy()
		{
			return View();
		}

		[ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
		public IActionResult Error()
		{
			return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
		}
	}
}
