﻿using System.Xml;
using RemObjects.DataAbstract.Server;

namespace DataAccess
{
	public static class Startup
	{
		public static void UseDataAbstract()
		{
			if (RemObjects.DataAbstract.Server.Configuration.Loaded)
			{
				return;
			}

			RemObjects.DataAbstract.Server.Configuration.Load();

			var connectionManager = new ConnectionManager(true);

			using (var resourceStream = typeof(Startup).Assembly.GetManifestResourceStream("DataAccess.DataAccess.daConnections"))
			{
				var resourceXml = new XmlDocument();
				resourceXml.Load(resourceStream);

				connectionManager.LoadFromXml(resourceXml);
			}
		}
	}
}